Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHCipher

    java.lang.Object
      com.mindbright.ssh.SSHCipher

Direct Known Subclasses:
  SSHBlowfish, SSHDES, SSHDES3, SSHIDEA, SSHNoEncrypt

public abstract class SSHCipher
extends java.lang.Object

Constructor Summary
`SSHCipher()`

Method Summary
`byte[]` | `decrypt(byte[] src)`
`abstract void` | `decrypt(byte[] src, int srcOff, byte[] dest, int destOff, int len)`
`byte[]` | `encrypt(byte[] src)`
`abstract void` | `encrypt(byte[] src, int srcOff, byte[] dest, int destOff, int len)`
`static SSHCipher` | `getInstance(java.lang.String algorithm)`
`abstract void` | `setKey(byte[] key)`
`void` | `setKey(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHCipher

    public SSHCipher()

Method Detail

### getInstance

    public static SSHCipher getInstance(java.lang.String algorithm)

### encrypt

    public abstract void encrypt(byte[] src,
                                 int srcOff,
                                 byte[] dest,
                                 int destOff,
                                 int len)

### decrypt

    public abstract void decrypt(byte[] src,
                                 int srcOff,
                                 byte[] dest,
                                 int destOff,
                                 int len)

### setKey

    public abstract void setKey(byte[] key)

### encrypt

    public byte[] encrypt(byte[] src)

### decrypt

    public byte[] decrypt(byte[] src)

### setKey

    public void setKey(java.lang.String key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD